View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010815ParaViewBugpublic2010-06-10 10:342010-07-08 10:42
ReporterUtkarsh Ayachit 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.8.1Fixed in Version3.8.1 
Summary0010815: PointSpritePlugin_BUILD_EXAMPLES does not follow BUILD_EXAMPLES
DescriptionFrom mailing list:
-----------------------------------------------------------------------

I have the following in my log while preparing the gentoo package
for paraview:
-- Installing: /media/anthill/portage/sci-
visualization/paraview-3.8.0/image/usr/lib/paraview-3.8/libPointSprite_Graphics.so
-- Installing: /media/anthill/portage/sci-
visualization/paraview-3.8.0/image/media/anthill/portage/sci-
visualization/paraview-3.8.0/work/ParaView-3.8.0_build/Plugins/PointSprite/PointSpriteDemo
-- Installing: /media/anthill/portage/sci-
visualization/paraview-3.8.0/image/usr/lib/paraview-3.8/libPointSprite_Plugin.so

PointSpriteDemo is the only one with that behaviour out of the stuff I checked
so far.
Also, it is an example and I have turned examples off (BUILD_EXAMPLES OFF) but
this particular one is always on, from "Plugins/PointSprite/CMakeList.txt":

set(PointSpritePlugin_BUILD_EXAMPLES ON CACHE BOOL "Build the example.")
if(PointSpritePlugin_BUILD_EXAMPLES)
   add_subdirectory(Examples)
endif(PointSpritePlugin_BUILD_EXAMPLES)

This is not consistent, if I turn off examples at the top level I expect them
to be all off.
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0020966)
Utkarsh Ayachit (administrator)
2010-06-10 10:39

commit c9af0d884532cbe472993d19a2ef6327aa9be5d8
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Thu Jun 10 10:38:06 2010 -0400

    Fixed BUG 0010815.
    
    PointSpritePlugin_BUILD_EXAMPLES is available only when BUILD_EXAMPLES is not.
    If BUILD_EXAMPLES is defined, then it is used to decide to build the point
    sprite examples.
-------------------

TODO: Merge into "release" branch
(0021056)
Alan Scott (manager)
2010-06-16 18:19

Assuming Utkarsh did it correctly.
(0021328)
Utkarsh Ayachit (administrator)
2010-07-08 10:42

moved to release.

- Issue History
Date Modified Username Field Change
2010-06-10 10:34 Utkarsh Ayachit New Issue
2010-06-10 10:34 Utkarsh Ayachit Status backlog => tabled
2010-06-10 10:34 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2010-06-10 10:39 Utkarsh Ayachit Note Added: 0020966
2010-06-10 10:39 Utkarsh Ayachit Status tabled => @80@
2010-06-10 10:39 Utkarsh Ayachit Fixed in Version => 3.8.2
2010-06-10 10:39 Utkarsh Ayachit Resolution open => fixed
2010-06-15 09:44 Utkarsh Ayachit Target Version 3.8.2 => 3.8.1
2010-06-15 09:45 Utkarsh Ayachit Fixed in Version 3.8.2 => 3.8.1
2010-06-16 18:19 Alan Scott Note Added: 0021056
2010-06-16 18:19 Alan Scott Status @80@ => closed
2010-07-07 09:55 Utkarsh Ayachit Fixed in Version 3.8.1 => Development
2010-07-07 17:16 Utkarsh Ayachit Note Added: 0021300
2010-07-08 10:42 Utkarsh Ayachit Note Deleted: 0021300
2010-07-08 10:42 Utkarsh Ayachit Note Added: 0021328
2010-07-08 10:42 Utkarsh Ayachit Fixed in Version Development => 3.8.1


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker